/*********************************************** {COPYRIGHT-TOP} ***
* IBM Confidential
* OCO Source Materials
* 5725-E59
*
* (c) Copyright IBM Corp. 2000, 2012 All Rights Reserved.
*
* The source code for this program is not published or otherwise
* divested of its trade secrets, irrespective of what has been
* deposited with the U.S. Copyright Office.
************************************************ {COPYRIGHT-END} **/

// This file contains localized resources for the
// wodm.decisions.manageDecisionsController object. The localized
// resources
// include labels and text messages that are exposed to the end user of the
// UI. There will be a translation
// counter part to this for each of the supported locale.
// In addition to labels and text messages, this file can also contain links
// to files of graphic images that
// can be tailored to specific locales.
//
// Format: resources follow the structure of dojo properties. That is, they
// are all id: value tuples
// separated by commas, and the last property must not have trailing comma.
// All value must be wrapped by
// double quotes.
//
// Naming Convention of Ids: all ids in the same resource file must be
// unique. It is recommended to follow
// the convention of most immediate componentName_resourceName. For example,
// the barz message for the foo.bar
// component should have the resource id of "bar_barz", so that resource
// should look like this:
// bar_barz: "foo bar barz message to be translated",
//
//
/**
 * Manage Decisions UI Localized Strings.
 */
define({
    root :

    ({



        /*
         * Toolbar related msgs/labels/tooltips.
         */

        TOOLBAR_EDIT_RULE_BUTTON_LABEL : "Edit",
        TOOLBAR_ADD_RULE_BUTTON_LABEL : "Add",
        TOOLBAR_DELETE_RULE_BUTTON_LABEL : "Delete",
        TOOLBAR_EDIT_RULE_BUTTON_TOOLTIP : "Edit Rule",
        TOOLBAR_ADD_RULE_BUTTON_TOOLTIP : "Add Rule",
        TOOLBAR_DELETE_RULE_BUTTON_TOOLTIP : "Delete Rule",
        /*
         * Decisions Pane Grid related msgs/labels.
         */
        DECISIONS_PANE_GRID_NO_DATA_MSG : "No Decision types available.",
        DECISIONS_PANE_GRID_NAME_COLUMN_LABEL : "Name",
        DECISIONS_PANE_GRID_COMMON_COLUMN_LABEL : "Common",
        DECISIONS_PANE_GRID_TYPE_COLUMN_LABEL : "Type",
        DECISIONS_PANE_GRID_PRIORITY_COLUMN_LABEL : "Priority",
        DECISIONS_PANE_GRID_LAST_CHANGED_BY_COLUMN_LABEL : "Last Changed By",
        DECISIONS_PANE_GRID_LAST_CHANGED_ON_COLUMN_LABEL : "Last Changed On",
        DECISIONS_PANE_GRID_CELL_WIDGET_SELECT_RULEPROJECT_TEXT : "Select Ruleproject",
        DECISIONS_PANE_GRID_COMMON_COLUMN_IMAGE_TOOLTIP : "Common Rule",

        RULE_VIEW_PANE_SELECT_RULE_MSG : "Select a Rule above to view its details.",



        EDIT_RULE_DIALOG_SAVE_BUTTON_LABEL: "Save",
        EDIT_RULE_DIALOG_SAVE_BUTTON_TOOLTIP: "Save Rule",
        EDIT_RULE_DIALOG_TITLE : "Edit - ${0}",


        /*
         * Some common strings.
         */

        RULE_TYPE_DECISION_TABLE : "Decision Table",
        RULE_TYPE_ACTION_RULE : "Action Rule",

        /*
         * Some Error/Confirmation Messages.
         */


        CONFIRM_TO_DELETE_RULE : "Are you sure you want to delete the selected rule?"
    }),
        "de-de":true,
        "es-es":true,
        "fr-fr":true,
        "it-it":true,
        "ja-jp":true,
        "ko-kr":true,
        "pt-br":true,
        "ru-ru":true,
        "zh-cn":true,
        "zh-tw":true
});