<%-- /*******************************************************************************
 * {COPYRIGHT-TOP} *** * IBM Confidential * OCO Source Materials 5725-E59
 * 
 * (c) Copyright IBM Corp. 2012 All Rights Reserved.
 * 
 * The source code for this program is not published or otherwise divested of
 * its trade secrets, irrespective of what has been deposited with the U.S.
 * Copyright Office.
 ******************************************************************************/ --%>

<%@page import="com.ibm.ccd.solution.wodm.configuration.WODMConfiguration"%>
<%@page import="com.ibm.ccd.solution.wodm.WODMConst"%>
<%@page import="com.ibm.json.java.JSONArray"%>
<%@page import="com.ibm.json.java.OrderedJSONObject"%>
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Manage Decisions</title>

<%@ include file="/user/wodm/jsp/wodmHeader.jsp.include"%>

<%
	String sharedSessionUsageStr = "NONE";
	boolean isUserLoggedIn = false;
	
	//For validation error message handling
	boolean validationError = false;
	String errMsg = null;
	String responseContent = null;

	try
	{
		//Fetch the static errorMessage first and reset validationError flag accordingly
		errMsg = WODMConfiguration.getInstance().getErrorMessage();
		validationError = (null != errMsg)? true : false;

		//This check is to avoid running into exceptions next time onwards
		if(!validationError) {
			sharedSessionUsageStr = WODMConfiguration.getInstance().getSharedSessionUsage().toString();
			isUserLoggedIn = (request.getSession().getAttribute(WODMConst.ILRSESSION_ATTR_NAME) == null) ? false : true;
		}
	}
	catch(Exception ex)
	{
		//Set validation error flag
		validationError = true;
		errMsg = ex.getMessage();
	}
	
	//Contruct JSON for JS to use
	if(validationError)
	{
		OrderedJSONObject errorJsonObj = new OrderedJSONObject();
		errorJsonObj.put("errorMessage", errMsg);
		responseContent = errorJsonObj.serialize(true);
	}

%>

<style type="text/css">
    @import "<%=wodmRoot%>/css/decisions/manageDecisions.css";
    @import "<%=wodmRoot%>/css/decisions/loginForm.css";
    @import "<%=wodmRoot%>/css/decisions/webcomponents.css";
    @import "<%=wodmRoot%>/css/decisions/table.css";
    @import "<%=wodmRoot%>/css/decisions/syntacticeditor.css";

</style>

<script type="text/javascript">
    require([ "dijit/Dialog", "dijit/form/Button",
            "wodm/decisions/manageDecisionsController", "dojo/parser",
            "dojo/domReady!" ], function(Dialog, Button, controller) {

        if (<%=validationError%>) 
		{
			controller._handleResponseError(<%=responseContent%>);
		}
		else
		{
			var queryParams = dojo.queryToObject(location.search.substring(1));
			dojo.mixin(dojo.config.wodm, queryParams);
			dojo.config.wodm.isUserLoggedIn = <%=isUserLoggedIn%>;
			dojo.config.wodm.sharedSessionUsage = "<%=sharedSessionUsageStr%>";
			controller.init();
		}

    });
</script>


</head>
<body class="vienna">
<div id="loginFormDiv"></div>
<div id="borderContainer"></div>
</body>
</html>